Add a shift note
Needs: Roster, Read-write
Adds a shift note, like Add note on the roster. Published shifts only. A single-staff shift with several service segments takes one note per segment with segment_notes, or notes for all of them.
Errors
422withThis shift must be published first.for a draft shift.422withThis shift is cancelled.for a cancelled shift.
curl -X POST "https://app.imploy.com.au/api/integrations/v1/shifts/example_string/notes" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"notes": "<p>Client was in good spirits. Medication prompted at 10am.</p>"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/shifts/example_string/notes"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"notes": "<p>Client was in good spirits. Medication prompted at 10am.</p>"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/shifts/example_string/notes", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"notes": "<p>Client was in good spirits. Medication prompted at 10am.</p>"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"notes": "<p>Client was in good spirits. Medication prompted at 10am.</p>"
}`)
req, err := http.NewRequest("POST", "https://app.imploy.com.au/api/integrations/v1/shifts/example_string/notes", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/shifts/example_string/notes')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"notes": "<p>Client was in good spirits. Medication prompted at 10am.</p>"
}'
response = http.request(request)
puts response.body
{
"added": "a:123",
"author": "Example Owner",
"shift_notes": [
"..."
]
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/shifts/{ref}/notesTarget server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The shift ref, such as a:123.
The media type of the request body
The note. Plain text, or HTML using the note editor formatting.
A list of segment_id and notes pairs, with segment ids from the shift's details.
Group or site shifts. The client the note is about. Defaults to all of the shift's clients.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The shift ref, such as a:123.
Body
The note. Plain text, or HTML using the note editor formatting.
A list of segment_id and notes pairs, with segment ids from the shift's details.
Group or site shifts. The client the note is about. Defaults to all of the shift's clients.